using Microsoft.EntityFrameworkCore;
using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Models.Models
{
    /// <summary>
    /// 事件记录表
    /// </summary>
    [Table("TBL_EVENTLOGGING"), Comment("事件记录表")]
    public class TBL_EVENTLOGGING
    {
        /// <summary>
        /// 自增id
        /// </summary>
        [Key, Column(TypeName = "int"), Comment("id,自增长"), DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        public int ID { get; set; }
        /// <summary>
        /// 事件 类型
        /// </summary>
        [Column(TypeName = "nvarchar(50)"), Comment("type类型")]
        public string EVENT_TYPE { get; set; }

        /// <summary>
        ///   事件id
        /// </summary>
        [Column(TypeName = "nvarchar(100)"), Comment("事件id,一个事件多个记录id唯一")]
        public string EVENTLOGGING_ID { get; set; }

        /// <summary>
        ///   记录创建者  不是事件创建者 最早一条记录创建者才是 事件创建者
        /// </summary>
        [Column(TypeName = "nvarchar(100)"), Comment("记录创建者  不是事件创建者 最早一条记录创建者才是 事件创建者")]
        public string REGISTRAR { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        [Required, Column(TypeName = "datetime"), Comment("创建时间")]
        public DateTime INPUT_DATeTime { get; set; } = DateTime.Now;

        /// <summary>
        /// 备注
        /// </summary>
        [Column(TypeName = "nvarchar(520)"), Comment("备注")]
        public string REMARK  { get; set; } = string.Empty;

        /// <summary>
        ///  步骤记录 
        /// </summary>
        [Column(TypeName = "nvarchar(100)"), Comment("步骤记录")]

        public string STEPRECORDING { get; set; }

        /// <summary>
        /// 信息
        /// </summary>
        [Column(TypeName = "nvarchar(500)"), Comment("信息")]
        public string INFO { get; set; } = string.Empty;

        /// <summary>
        /// 角色
        /// </summary>
        [Column(TypeName = "nvarchar(100)"), Comment("角色  RCU WEB RLS")]
        public string ROLE { get; set; } = string.Empty;

        /// <summary>
        /// MAC
        /// </summary>
        [Column(TypeName = "nvarchar(100)"), Comment("MAC")]
        public string MAC { get; set; } = string.Empty;


        /// <summary>
        ///  酒店id
        /// </summary>
        [Column(TypeName = "int"), Comment("酒店id")]
        public int HOTEL_ID { get; set; } = 0;


        /// <summary>
        ///  酒店编号 巫工  
        /// </summary>
        [Column(TypeName = "int"), Comment(" 酒店编号 巫工 ")]
        public int HOTEL_OLD_ID { get; set; } = 0;//酒店编号



        /// <summary>
        ///  房间id
        /// </summary>
        [Column(TypeName = "int"), Comment("房间id")]
        public int ROOM_ID { get; set; } = 0;


        /// <summary>
        ///  酒店编号 巫工  
        /// </summary>
        [Column(TypeName = "int"), Comment(" 房间id 巫工 ")]
        public int ROOM_OLD_ID { get; set; } = 0;//房间id


        [Required, Column(TypeName = "datetime"), Comment("输出时间")]
        public DateTime OUTPUT_DATETIME { get; set; }
    }
}
